Tags
Create Worker Tag
Creates a new global tag and assigns it to the specified worker. The tag becomes available to assign to any worker.
POST
/
workers
/
{id}
/
tags
Create Worker Tag
curl --request POST \
--url https://api.roostedhr.com/api/1_12/workers/{id}/tags \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"text": "New Tag"
}
'import requests
url = "https://api.roostedhr.com/api/1_12/workers/{id}/tags"
payload = { "text": "New Tag" }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: 'New Tag'})
};
fetch('https://api.roostedhr.com/api/1_12/workers/{id}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "WzDHL",
"text": "New Tag"
}{
"code": "WRK-900",
"error": "Text is required"
}{
"code": "ATH-100",
"error": "Invalid or missing API key"
}{
"code": "WRK-800",
"error": "Insufficient permissions to manage workers"
}{
"code": "WRK-100",
"error": "Worker not found"
}{
"code": "WRK-900",
"error": "An unexpected error occurred"
}This endpoint creates a new global tag and assigns it to the specified worker. Once created, the tag is available to assign to any worker via the Add Worker Tag endpoint.
Authorizations
Path Parameters
Worker ID
Body
application/json
The label for the new tag.
Example:
"New Tag"
⌘I
Create Worker Tag
